## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### Validate a Password Reset Token

#### POST /v2.0/users/validatepasswordresettoken

Try it

**cURL**

```bash
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/users/validatepasswordresettoken \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '\n{\n  "token": "<string>"\n}\n'
```

**Python**

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/users/validatepasswordresettoken"

payload = { "token": "<string>" }
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

**JavaScript (Fetch)**

```javascript
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({token: '<string>'})
};

fetch('https://api-trial.cognigy.ai/new/v2.0/users/validatepasswordresettoken', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/users/validatepasswordresettoken",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'token' => '<string>'\\n  ]),\
  CURLOPT_HTTPHEADER => [\
    "Content-Type: application/json",\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

**Go**

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/users/validatepasswordresettoken"

payload := strings.NewReader("{\n  \"token\": \"<string>\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

**Java (Unirest)**

```java
HttpResponse<String> response = Unirest.post("https://api-trial.cognigy.ai/new/v2.0/users/validatepasswordresettoken")
  .header("X-API-Key", "<api-key>")
  .header("Content-Type", "application/json")
  .body("{\n  \"token\": \"<string>\"\n}")
  .asString();
```

**Ruby**

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-trial.cognigy.ai/new/v2.0/users/validatepasswordresettoken")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"token\": \"<string>\"\n}"

response = http.request(request)
puts response.read_body
```

### Error Responses

- **400 Bad Request**: Validation failed. Missing payload.
- **401 Unauthorized**: <string>
- **402 Payment Required**: Validation failed. Missing payload.
- **403 Forbidden**: <string>
- **404 Not Found**: <string>
- **405 Method Not Allowed**: <string>
- **409 Conflict**: <string>
- **413 Payload Too Large**: <string>
- **500 Internal Server Error**: <string>
- **501 Not Implemented**: <string>
- **502 Bad Gateway**: <string>
- **503 Service Unavailable**: <string>
- **504 Gateway Timeout**: <string>

### Authorizations

**`X-API-Key`**: (string, header, required) Supply the API Key in the HTTP-Header.

### Headers

**Accept**: (enum<string>) The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Body

- **token**: (string, required) The password reset token.

### Response

- **204**: Password reset token is valid.
